using System;

internal sealed class Delegate780 : MulticastDelegate
{
	public extern string Invoke();

	public static string smethod_0(Delegate780 delegate780_1)
	{
		return delegate780_1();
	}

	public extern Delegate780(object object_0, IntPtr intptr_0);

	static Delegate780()
	{
		Class10.smethod_13(typeof(Delegate780).TypeHandle);
	}

	internal static Delegate780 delegate780_0;
}
